# rtsp session media

The GstRTSPSessionMedia object manages a GstRTSPMedia with a given path.

With gst_rtsp_session_media_get_transport and gst_rtsp_session_media_set_transport the transports of a GstRTSPStream of the managed GstRTSPMedia can be retrieved and configured.

Use gst_rtsp_session_media_set_state to control the media state and transports.

Last reviewed on 2013-07-16 (1.0.0)

## GstRTSPSessionMedia

    GObject
        ╰──GstRTSPSessionMedia

State of a client session regarding a specific media identified by path.

### Members

`parent` (GObject) –
No description available

### Class structure

#### GstRTSPSessionMediaClass

##### Fields

`parent_class` (GObjectClass) –
No description available

### GstRtspServer.RTSPSessionMediaClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GstRtspServer.RTSPSessionMediaClass

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GstRtspServer.RTSPSessionMedia

    GObject.Object
        ╰──GstRtspServer.RTSPSessionMedia

State of a client session regarding a specific media identified by path.

### Members

`parent` (GObject.Object) –
No description available

## GstRtspServer.RTSPSessionMedia

    GObject.Object
        ╰──GstRtspServer.RTSPSessionMedia

State of a client session regarding a specific media identified by path.

### Members

`parent` (GObject.Object) –
No description available

### Constructors

#### gst_rtsp_session_media_new

    GstRTSPSessionMedia *
    gst_rtsp_session_media_new (const gchar * path,
                                GstRTSPMedia * media)

Create a new GstRTSPSessionMedia that manages the streams in media for path. media should be prepared.

Ownership is taken of media.

Parameters:

`path` –

the path

`media` ( [transfer: full]) –

the GstRTSPMedia

Returns ( [transfer: full]) –

a new GstRTSPSessionMedia.

#### GstRtspServer.RTSPSessionMedia.prototype.new

    function GstRtspServer.RTSPSessionMedia.prototype.new(path: String, media: GstRtspServer.RTSPMedia): {
        // javascript wrapper for 'gst_rtsp_session_media_new'
    }

Create a new GstRtspServer.RTSPSessionMedia that manages the streams in media for path. media should be prepared.

Ownership is taken of media.

Parameters:

`path` (String) –

the path

`media` (GstRtspServer.RTSPMedia) –

the GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPSessionMedia) –

a new GstRtspServer.RTSPSessionMedia.

#### GstRtspServer.RTSPSessionMedia.new

    def GstRtspServer.RTSPSessionMedia.new (path, media):
        #python wrapper for 'gst_rtsp_session_media_new'

Create a new GstRtspServer.RTSPSessionMedia that manages the streams in media for path. media should be prepared.

Ownership is taken of media.

Parameters:

`path` (str) –

the path

`media` (GstRtspServer.RTSPMedia) –

the GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPSessionMedia) –

a new GstRtspServer.RTSPSessionMedia.

### Methods

#### gst_rtsp_session_media_alloc_channels

    gboolean
    gst_rtsp_session_media_alloc_channels (GstRTSPSessionMedia * media,
                                           GstRTSPRange * range)

Fill range with the next available min and max channels for interleaved transport.

Parameters:

`media` –

a GstRTSPSessionMedia

`range` ( [out]) –

a GstRTSPRange

Returns –

TRUE on success.

#### GstRtspServer.RTSPSessionMedia.prototype.alloc_channels

    function GstRtspServer.RTSPSessionMedia.prototype.alloc_channels(): {
        // javascript wrapper for 'gst_rtsp_session_media_alloc_channels'
    }

Fill range with the next available min and max channels for interleaved transport.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns a tuple made of:

(Number ) –

true on success.

`range` (GstRtsp.RTSPRange ) –

true on success.

#### GstRtspServer.RTSPSessionMedia.alloc_channels

    def GstRtspServer.RTSPSessionMedia.alloc_channels (self):
        #python wrapper for 'gst_rtsp_session_media_alloc_channels'

Fill range with the next available min and max channels for interleaved transport.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns a tuple made of:

(bool ) –

True on success.

`range` (GstRtsp.RTSPRange ) –

True on success.

#### gst_rtsp_session_media_get_base_time

    GstClockTime
    gst_rtsp_session_media_get_base_time (GstRTSPSessionMedia * media)

Get the base_time of the GstRTSPMedia in media

Parameters:

`media` –

a GstRTSPSessionMedia

Returns –

the base_time of the media.

#### GstRtspServer.RTSPSessionMedia.prototype.get_base_time

    function GstRtspServer.RTSPSessionMedia.prototype.get_base_time(): {
        // javascript wrapper for 'gst_rtsp_session_media_get_base_time'
    }

Get the base_time of the GstRtspServer.RTSPMedia in media

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns (Number) –

the base_time of the media.

#### GstRtspServer.RTSPSessionMedia.get_base_time

    def GstRtspServer.RTSPSessionMedia.get_base_time (self):
        #python wrapper for 'gst_rtsp_session_media_get_base_time'

Get the base_time of the GstRtspServer.RTSPMedia in media

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns (int) –

the base_time of the media.

#### gst_rtsp_session_media_get_media

    GstRTSPMedia *
    gst_rtsp_session_media_get_media (GstRTSPSessionMedia * media)

Get the GstRTSPMedia that was used when constructing media

Parameters:

`media` –

a GstRTSPSessionMedia

Returns ( [transfer: none][nullable]) –

the GstRTSPMedia of media. Remains valid as long as media is valid.

#### GstRtspServer.RTSPSessionMedia.prototype.get_media

    function GstRtspServer.RTSPSessionMedia.prototype.get_media(): {
        // javascript wrapper for 'gst_rtsp_session_media_get_media'
    }

Get the GstRtspServer.RTSPMedia that was used when constructing media

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns (GstRtspServer.RTSPMedia) –

the GstRtspServer.RTSPMedia of media. Remains valid as long as media is valid.

#### GstRtspServer.RTSPSessionMedia.get_media

    def GstRtspServer.RTSPSessionMedia.get_media (self):
        #python wrapper for 'gst_rtsp_session_media_get_media'

Get the GstRtspServer.RTSPMedia that was used when constructing media

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns (GstRtspServer.RTSPMedia) –

the GstRtspServer.RTSPMedia of media. Remains valid as long as media is valid.

#### gst_rtsp_session_media_get_rtpinfo

    gchar *
    gst_rtsp_session_media_get_rtpinfo (GstRTSPSessionMedia * media)

Retrieve the RTP-Info header string for all streams in media with configured transports.

Parameters:

`media` –

a GstRTSPSessionMedia

Returns ( [transfer: full][nullable]) –

The RTP-Info as a string or NULL when no RTP-Info could be generated, g_free after usage.

#### GstRtspServer.RTSPSessionMedia.prototype.get_rtpinfo

    function GstRtspServer.RTSPSessionMedia.prototype.get_rtpinfo(): {
        // javascript wrapper for 'gst_rtsp_session_media_get_rtpinfo'
    }

Retrieve the RTP-Info header string for all streams in media with configured transports.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns (String) –

The RTP-Info as a string or null when no RTP-Info could be generated, GLib.prototype.free after usage.

#### GstRtspServer.RTSPSessionMedia.get_rtpinfo

    def GstRtspServer.RTSPSessionMedia.get_rtpinfo (self):
        #python wrapper for 'gst_rtsp_session_media_get_rtpinfo'

Retrieve the RTP-Info header string for all streams in media with configured transports.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns (str) –

The RTP-Info as a string or None when no RTP-Info could be generated, GLib.free after usage.

#### gst_rtsp_session_media_get_rtsp_state

    GstRTSPState
    gst_rtsp_session_media_get_rtsp_state (GstRTSPSessionMedia * media)

Get the current RTSP state of media.

Parameters:

`media` –

a GstRTSPSessionMedia

Returns –

the current RTSP state of media.

#### GstRtspServer.RTSPSessionMedia.prototype.get_rtsp_state

    function GstRtspServer.RTSPSessionMedia.prototype.get_rtsp_state(): {
        // javascript wrapper for 'gst_rtsp_session_media_get_rtsp_state'
    }

Get the current RTSP state of media.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns (GstRtsp.RTSPState) –

the current RTSP state of media.

#### GstRtspServer.RTSPSessionMedia.get_rtsp_state

    def GstRtspServer.RTSPSessionMedia.get_rtsp_state (self):
        #python wrapper for 'gst_rtsp_session_media_get_rtsp_state'

Get the current RTSP state of media.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns (GstRtsp.RTSPState) –

the current RTSP state of media.

#### gst_rtsp_session_media_get_transport

    GstRTSPStreamTransport *
    gst_rtsp_session_media_get_transport (GstRTSPSessionMedia * media,
                                          guint idx)

Get a previously created GstRTSPStreamTransport for the stream at idx.

Parameters:

`media` –

a GstRTSPSessionMedia

`idx` –

the stream index

Returns ( [transfer: none][nullable]) –

a GstRTSPStreamTransport that is valid until the session of media is unreffed.

#### GstRtspServer.RTSPSessionMedia.prototype.get_transport

    function GstRtspServer.RTSPSessionMedia.prototype.get_transport(idx: Number): {
        // javascript wrapper for 'gst_rtsp_session_media_get_transport'
    }

Get a previously created GstRtspServer.RTSPStreamTransport for the stream at idx.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`idx` (Number) –

the stream index

Returns (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport that is valid until the session of media is unreffed.

#### GstRtspServer.RTSPSessionMedia.get_transport

    def GstRtspServer.RTSPSessionMedia.get_transport (self, idx):
        #python wrapper for 'gst_rtsp_session_media_get_transport'

Get a previously created GstRtspServer.RTSPStreamTransport for the stream at idx.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`idx` (int) –

the stream index

Returns (GstRtspServer.RTSPStreamTransport) –

a GstRtspServer.RTSPStreamTransport that is valid until the session of media is unreffed.

#### gst_rtsp_session_media_get_transports

    GPtrArray *
    gst_rtsp_session_media_get_transports (GstRTSPSessionMedia * media)

Get a list of all available GstRTSPStreamTransport in this session.

Parameters:

`media` –

a GstRTSPSessionMedia

Returns ( [transfer: full][element-type GstRTSPStreamTransport]) –

a list of GstRTSPStreamTransport, g_ptr_array_unref () after usage.

Since : 1.14

#### GstRtspServer.RTSPSessionMedia.prototype.get_transports

    function GstRtspServer.RTSPSessionMedia.prototype.get_transports(): {
        // javascript wrapper for 'gst_rtsp_session_media_get_transports'
    }

Get a list of all available GstRtspServer.RTSPStreamTransport in this session.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns ([ GstRtspServer.RTSPStreamTransport ]) –

a list of GstRtspServer.RTSPStreamTransport, g_ptr_array_unref () after usage.

Since : 1.14

#### GstRtspServer.RTSPSessionMedia.get_transports

    def GstRtspServer.RTSPSessionMedia.get_transports (self):
        #python wrapper for 'gst_rtsp_session_media_get_transports'

Get a list of all available GstRtspServer.RTSPStreamTransport in this session.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

Returns ([ GstRtspServer.RTSPStreamTransport ]) –

a list of GstRtspServer.RTSPStreamTransport, g_ptr_array_unref () after usage.

Since : 1.14

#### gst_rtsp_session_media_matches

    gboolean
    gst_rtsp_session_media_matches (GstRTSPSessionMedia * media,
                                    const gchar * path,
                                    gint * matched)

Check if the path of media matches path. It path matches, the amount of matched characters is returned in matched.

Parameters:

`media` –

a GstRTSPSessionMedia

`path` –

a path

`matched` ( [out]) –

the amount of matched characters of path

Returns –

TRUE when path matches the path of media.

#### GstRtspServer.RTSPSessionMedia.prototype.matches

    function GstRtspServer.RTSPSessionMedia.prototype.matches(path: String): {
        // javascript wrapper for 'gst_rtsp_session_media_matches'
    }

Check if the path of media matches path. It path matches, the amount of matched characters is returned in matched.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`path` (String) –

a path

Returns a tuple made of:

(Number ) –

true when path matches the path of media.

`matched` (Number ) –

true when path matches the path of media.

#### GstRtspServer.RTSPSessionMedia.matches

    def GstRtspServer.RTSPSessionMedia.matches (self, path):
        #python wrapper for 'gst_rtsp_session_media_matches'

Check if the path of media matches path. It path matches, the amount of matched characters is returned in matched.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`path` (str) –

a path

Returns a tuple made of:

(bool ) –

True when path matches the path of media.

`matched` (int ) –

True when path matches the path of media.

#### gst_rtsp_session_media_set_rtsp_state

    gst_rtsp_session_media_set_rtsp_state (GstRTSPSessionMedia * media,
                                           GstRTSPState state)

Set the RTSP state of media to state.

Parameters:

`media` –

a GstRTSPSessionMedia

`state` –

a GstRTSPState

#### GstRtspServer.RTSPSessionMedia.prototype.set_rtsp_state

    function GstRtspServer.RTSPSessionMedia.prototype.set_rtsp_state(state: GstRtsp.RTSPState): {
        // javascript wrapper for 'gst_rtsp_session_media_set_rtsp_state'
    }

Set the RTSP state of media to state.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`state` (GstRtsp.RTSPState) –

a GstRtsp.RTSPState

#### GstRtspServer.RTSPSessionMedia.set_rtsp_state

    def GstRtspServer.RTSPSessionMedia.set_rtsp_state (self, state):
        #python wrapper for 'gst_rtsp_session_media_set_rtsp_state'

Set the RTSP state of media to state.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`state` (GstRtsp.RTSPState) –

a GstRtsp.RTSPState

#### gst_rtsp_session_media_set_state

    gboolean
    gst_rtsp_session_media_set_state (GstRTSPSessionMedia * media,
                                      GstState state)

Tell the media object media to change to state.

Parameters:

`media` –

a GstRTSPSessionMedia

`state` –

the new state

Returns –

TRUE on success.

#### GstRtspServer.RTSPSessionMedia.prototype.set_state

    function GstRtspServer.RTSPSessionMedia.prototype.set_state(state: Gst.State): {
        // javascript wrapper for 'gst_rtsp_session_media_set_state'
    }

Tell the media object media to change to state.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`state` (Gst.State) –

the new state

Returns (Number) –

true on success.

#### GstRtspServer.RTSPSessionMedia.set_state

    def GstRtspServer.RTSPSessionMedia.set_state (self, state):
        #python wrapper for 'gst_rtsp_session_media_set_state'

Tell the media object media to change to state.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`state` (Gst.State) –

the new state

Returns (bool) –

True on success.

#### gst_rtsp_session_media_set_transport

    GstRTSPStreamTransport *
    gst_rtsp_session_media_set_transport (GstRTSPSessionMedia * media,
                                          GstRTSPStream * stream,
                                          GstRTSPTransport * tr)

Configure the transport for stream to tr in media.

Parameters:

`media` –

a GstRTSPSessionMedia

`stream` –

a GstRTSPStream

`tr` ( [transfer: full]) –

a GstRTSPTransport

Returns ( [transfer: none]) –

the new or updated GstRTSPStreamTransport for stream.

#### GstRtspServer.RTSPSessionMedia.prototype.set_transport

    function GstRtspServer.RTSPSessionMedia.prototype.set_transport(stream: GstRtspServer.RTSPStream, tr: GstRtsp.RTSPTransport): {
        // javascript wrapper for 'gst_rtsp_session_media_set_transport'
    }

Configure the transport for stream to tr in media.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`tr` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (GstRtspServer.RTSPStreamTransport) –

the new or updated GstRtspServer.RTSPStreamTransport for stream.

#### GstRtspServer.RTSPSessionMedia.set_transport

    def GstRtspServer.RTSPSessionMedia.set_transport (self, stream, tr):
        #python wrapper for 'gst_rtsp_session_media_set_transport'

Configure the transport for stream to tr in media.

Parameters:

`media` (GstRtspServer.RTSPSessionMedia) –

a GstRtspServer.RTSPSessionMedia

`stream` (GstRtspServer.RTSPStream) –

a GstRtspServer.RTSPStream

`tr` (GstRtsp.RTSPTransport) –

a GstRtsp.RTSPTransport

Returns (GstRtspServer.RTSPStreamTransport) –

the new or updated GstRtspServer.RTSPStreamTransport for stream.

## Function Macros

### GST_RTSP_SESSION_MEDIA_CAST

    #define GST_RTSP_SESSION_MEDIA_CAST(obj)         ((GstRTSPSessionMedia*)(obj))

### GST_RTSP_SESSION_MEDIA_CLASS_CAST

    #define GST_RTSP_SESSION_MEDIA_CLASS_CAST(klass) ((GstRTSPSessionMediaClass*)(klass))

The results of the search are